define(["require", "exports", "@fluentui/react-conformance"], function (require, exports, react_conformance_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.isConformant = void 0;
    function isConformant(testInfo) {
        var _a;
        var defaultOptions = {
            disabledTests: [
                'kebab-aria-attributes',
                // v8 has a different prefix, and there's a setting for that now,
                // but a lot of components don't set a consistent/expected classname
                'component-has-static-classname',
                // v8 doesn't export classnames
                'component-has-static-classname-exported',
                // Will enable with appropriate overrides separately
                'consistent-callback-names',
                'consistent-callback-args',
                'component-has-static-classnames-object',
            ],
            componentPath: (_a = require.main) === null || _a === void 0 ? void 0 : _a.filename.replace('.test', ''),
        };
        (0, react_conformance_1.isConformant)(defaultOptions, testInfo);
    }
    exports.isConformant = isConformant;
});
//# sourceMappingURL=isConformant.js.map